uniform   mat4  boneMatrices[32];
attribute float boneIndices;


void main(void)
{
	gl_Position = gl_ModelViewProjectionMatrix * boneMatrices[int(boneIndices)] * gl_Vertex;

	gl_TexCoord[0] = gl_MultiTexCoord0;

	gl_FrontColor = gl_Color;
}

